Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.coherence.servlet
Interface HttpSessionCollection.AttributeScopeController

All Known Implementing Classes:
  AbstractHttpSessionCollection.ApplicationScopeController, AbstractHttpSessionCollection.GlobalScopeController

Enclosing interface:
  HttpSessionCollection

Deprecated. In releases following 3.6 customization will be declarative.

      public static interface HttpSessionCollection.AttributeScopeController

The AttributeScopeController is an optional interface that is used to selectively scope attributes in cases when a session may be shared across more than one application. This enables different applications to potentially use the same attribute names for application-scope state without accidentally reading, updating, or removing other applications' attributes. Furthermore, in addition to having application-scoped information in the session, it allows the session to contain global (unscoped) information that is readable, updatable, and removable by any of the applications that share the session.

Since:
  Coherence 3.4.2

Method Summary
`String` | `extractAttributeName(String sAttribute)` Deprecated. Given a potentially qualified attribute name, return the original (fully unqualified) attribute name.
`void` | `init(String sApplication)` Deprecated. Initialize the AttributeScopeController.
`String` | `qualifyAttributeName(String sAttribute)` Deprecated. Given an attribute name, return a potentially qualified name.

Method Detail

### init

    void init(String sApplication)

  Deprecated.
  Initialize the AttributeScopeController.
  Parameters:
    `sApplication` - an application name that may be used to qualify attribute names

### qualifyAttributeName

    String qualifyAttributeName(String sAttribute)

  Deprecated.
  Given an attribute name, return a potentially qualified name. <p/> Attribute names may be qualified in order to avoid collisions when a session is shared across multiple applications. In other words, when sessions are shared across multiple applications, attributes which are not intended to be shared across multiple applications must be qualified so that other applications do not inadvertently overwrite, use, or remove these attributes.
  Parameters:
    `sAttribute` - the name that the application identifies the attribute by
  Returns:
    either the name as passed in, or a qualified name

### extractAttributeName

    String extractAttributeName(String sAttribute)

  Deprecated.
  Given a potentially qualified attribute name, return the original (fully unqualified) attribute name. The unqualified attribute name is the name that the application identifies the attribute by. Attributes that are shared across applications remain unqualified, whereas attributes that are private to an application are qualified in order to scope them to that application.
  Parameters:
    `sAttribute` - an attribute name that may be qualified
  Returns:
    the unqualified attribute name

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.